import { Entity, Column, PrimaryColumn, ManyToOne } from "typeorm";
import { Blog } from "./blog.js";

@Entity()
export class Post {
  @PrimaryColumn("text")
  id: string;
  @Column("text", { nullable: true })
  content: string | null;
  @Column("text", { nullable: true })
  contentType: string | null;

  @ManyToOne(() => Blog, (blog) => blog.posts)
  blog: Blog;
}
